# -si (read data from stdin) switch

Causes 7-Zip to read data from stdin (standard input) instead of from disc files.

#### Syntax

    -si{file_name}

{file_name}
  Specifies a name that will be stored in the archive for the compressed data. If file_name is not specified, data will be stored without a name.

Note: The current version of 7-Zip does not support reading of archives from stdin.

#### Example

    7z a archive.gz -tgzip -siDoc2.txt < Doc.txt

compresses input stream from file Doc.txt to archive.gz archive using Doc2.txt file name.

#### Commands that can be used with this switch

a (Add), u (Update)